<?php

namespace Drupal\o365_sso;

use Drupal\Core\Access\AccessResult;

/**
 * Access checker for the login page.
 */
class O365CheckLoginAccess {

  /**
   * Check if a user is anonymous and grant access, else deny.
   *
   * @return \Drupal\Core\Access\AccessResultAllowed|\Drupal\Core\Access\AccessResultForbidden
   *   If a user has access.
   */
  public function checkAccess() {
    $currentUser = \Drupal::currentUser();

    return $currentUser->isAnonymous() ? AccessResult::allowed() : AccessResult::forbidden('This path is only accessible for anonymous users');
  }

}
