<?php

namespace Drupal\o365_sso\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Auto redirect users when the auto redirect option is enabled.
 */
class UserLoginFormRouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    $config = \Drupal::config('o365_sso.settings');

    // Disable login form page cache when the auto redirect option is enabled.
    if (!empty($config->get('auto_redirect')) && $route = $collection->get('user.login')) {
      $options = $route->getOptions();
      $options['no_cache'] = TRUE;
      $route->setOptions($options);
    }
  }

}
